[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.HandleAllocated

Indicates if a handle has been assigned for the shared image in the class.

## Declaration

Source position: graphics.pp line 1332

`public function TRasterImage.HandleAllocated: Boolean;`

## Function result

True when a handle has been assigned for the shared image.

## Description

HandleAllocated is a Boolean function which indicates if a valid handle has been assigned for the internal TSharedRasterImage instance in the class. The return value is True when the handle in the shared image contains a non-zero value.

Use BitmapHandleAllocated to determine if a HBITMAP handle has been assigned for the Bitmap in the class instance.

Use MaskHandleAllocated to determine if a HBITMAP handle has been assigned for the Mask in the class instance.